Subject: bug#43117: [PATCH] Add .git-blame-ignore-revs file

From: Robert Pluim <[email-masked]>
Date: Mon, 31 Aug 2020 22:57:40 +0200

>>>>> On Mon, 31 Aug 2020 23:45:55 +0300, Dmitry Gutov <[email-masked]> said:

    Dmitry> On 31.08.2020 23:34, Robert Pluim wrote:
    Dmitry> On 31.08.2020 13:16, Robert Pluim wrote:
    >> >> You've configured emacs to replace TAB with SPC.
    Dmitry> That's what our .dir-locals.el does, doesn't it?
    >> Only for lines that you change. The patch has wholesale TAB->SPC
    >> replacement for lines which haven't otherwise been modified.

    Dmitry> Right.

    Dmitry> In that case, we should probably clarify that we don't usually
    Dmitry> whitespace-only changes far from the code that's being changes.

    Dmitry> Do we accept reindentation patches, though? Ones where the effective
    Dmitry> indentation does change.

Didnʼt we just have this thread? :-)

Pure re-indentation patches I thought were not acceptable unless
accompanied by an actual code change near the re-indented lines.

Robert